img{
	user-drag: none; 
	user-select: none;
	-moz-user-select: none;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-ms-user-select: none;
}
::placeholder { /* Firefox, Chrome, Opera */ 
    color: #ccc !important; 
} 
:-ms-input-placeholder { /* Internet Explorer 10-11 */ 
    color: #ccc !important; 
} 
::-ms-input-placeholder { /* Microsoft Edge */ 
    color: #ccc !important; 
}
.table.shrunk td, .table.shrunk th{
	padding: 5px 8px;
}
.hide{
	display: none;
}
.fhide{
	display: none !important;
}
.no-padding{
	padding: 0px;
}

.cursor-help {
	cursor: help;
}
.cursor-pointer {
	cursor: pointer;
}
.cursor-not-allowed {
	cursor: not-allowed;
}
.empty:empty{ display: none;}
.form-control-sm[type='file'] {
    font-size: 11px;
}
#gshow_message{
	position: fixed;
	width: 100%;
	top: -70px;
	z-index: 10000;
	text-align: center;
	box-shadow: 0px 2px 10px 0px;
	transition: all 1s;
}
.gfwrapper{
	position: fixed;
	top: 0;
    left: 0;
	z-index: 10000;
	width: 100%;
	height: 100%;
	background: #00000052;
    transition: all 1s;
}
span.required:after {
    content: "*";
    color: #e74c3c;
    display: inline-block;
    font-size: 13px;
}
.chars{
	position: absolute;
    right: 19px;
}


/* Loader Starts */
#gloader{ display: none; position: fixed; width: 100%; height: 100%; background: #ffffffb5; top: 0px; left: 0px; z-index: 111111; }
#gloader svg{ left: 0px; right: 0px; top: 0px; bottom: 0px; margin: auto; position: absolute; -webkit-animation: rotating 1s linear infinite; -moz-animation: rotating 1s linear infinite; animation: rotating 1s linear infinite; }
#gloader img{ left: 0px; right: 0px; top: 0px; bottom: 0px; margin: auto; position: absolute; width: 40px; }
#gloader.shown{
	display: block;
}
@-webkit-keyframes rotating { from{ -webkit-transform: rotate(0deg); -moz-transform: rotate(0deg); transform: rotate(0deg); } to{ -webkit-transform: rotate(360deg); -moz-transform: rotate(360deg); transform: rotate(360deg); } }
/* Loader Ends */
/* Search Filter */
.search-filter {
	-webkit-transition: 0.3s all ease;
	-moz-transition: 0.3s all ease;
	-o-transition: 0.3s all ease;
	transition: 0.3s all ease;
}
.search-filter .accordion-msg{
	font-size: 13px;
}
.search-filter .card-title {
	border-radius: 10px;
}
.search-filter .accordion-content {
	padding: 10px 20px 5px 20px;
	border-top: 2px solid #00549a;
	background: linear-gradient(0deg, #ffffff 0, #3c7dd126 100%) !important;
}
/* CodeIgniter Pagination Starts */
.pagination {
    margin-top: 10px;
}
.pagination .elink{ 
	border: 1px solid #212529;
	border-radius: .25rem;
    margin: 0px 8px 0px 0px; 
    cursor: pointer;
    display: inline-grid;
}
.pagination .curlink, .pagination .elink a{ 
    padding: 6px 14px;
    color: #212529;
}
.pagination .elink:hover, .pagination .curlink{
	background: #212529; 
	color: #fff;
}
.pagination .elink a:hover{
	text-decoration: none;
}
.pagination .elink:hover a, .pagination .curlink a{
	color: #fff;
}
.pagination .curlink{
	cursor: not-allowed;
}
/* CodeIgniter Pagination Ends */

/* Tooltip Customization Starts */
.tooltip.in{ opacity: 1; }
.tooltip-inner { background: #212529; color: #ccc; padding: 6px 16px; border: none; font-weight: 600; }
.tooltip-arrow { display: none; }
.bs-tooltip-top .arrow::before { border-top-color: #212529; }
.bs-tooltip-bottom .arrow::before { border-bottom-color: #212529; }
.bs-tooltip-left .arrow::before { border-left-color: #212529; }
.bs-tooltip-right .arrow::before { border-right-color: #212529; }
/* Tooltip Customization Starts */

textarea.xs{ height: 80px; }
textarea.sm{ height: 110px; }
textarea.md{ height: 140px; }
textarea.lg{ height: 170px; }
textarea.xl{ height: 200px; }
textarea.no-resize{ resize: none; }

.media-body{
	line-height: 16px;	
}
.dropdown-item:hover{
	background: #5e72e445;	
}
.icon-small{
	width: 30px;
    height: 30px;
    padding: 0px;
}
.icon-small i {
    font-size: 16px;
}
.help-block.with-errors{
    color: #dc3a61;
    background-color: #ffdfe7e6;
    margin-top: 10px;
    padding: 5px 10px;
    border-top: 2px solid #dc3a61;
}
.help-block.with-errors ul, .help-block.with-errors p{
	margin-bottom: 0px;
}
.dataTables_length, .dataTables_info, .dt-buttons { padding-left: 0; }
.dataTables_filter { padding-right: 0px; }
.table .thead-dark th {
    border-color: #212529;
    background-color: #212529;
}
table.dataTable thead th, table.dataTable thead td { padding: 10px 10px !important; }
table.dataTable.no-footer { border-bottom: 1px solid #e9ecef !important; margin-bottom: 0px !important; }
.bodyClick { background: #0000006e; }
#navbarSupportedContent .alert b{ color: #5e72e4; }
.toast-title{font-weight:bold}.toast-message{-ms-word-wrap:break-word;word-wrap:break-word}.toast-message a,.toast-message label{color:#fff}.toast-message a:hover{color:#cccccc;text-decoration:none}.toast-close-button{position:relative;right:0px;top:0px;float:right;font-weight:bold;color:#fff;opacity:0.8;font-size:20px;line-height:20px;}.toast-close-button:hover,.toast-close-button:focus{color:#000;text-decoration:none;cursor:pointer;opacity:0.4}button.toast-close-button{padding:0;cursor:pointer;background:transparent;border:0;-webkit-appearance:none}.toast-top-center{top:0;right:0;width:100%}.toast-bottom-center{bottom:0;right:0;width:100%}.toast-top-full-width{top:0;right:0;width:100%}.toast-bottom-full-width{bottom:0;right:0;width:100%}.toast-top-left{top:12px;left:12px}.toast-top-right{top:12px;right:12px}.toast-bottom-right{right:12px;bottom:12px}.toast-bottom-left{bottom:12px;left:12px}#toast-container{position:fixed;z-index:999999}#toast-container *{-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box}#toast-container>div{position:relative;overflow:hidden;margin:0px;padding:.6rem .6rem .6rem 50px;width:300px;border-radius:.25rem;background-position:15px center;background-repeat:no-repeat;box-shadow:0 0.46875rem 2.1875rem rgba(4,9,20,0.03),0 0.9375rem 1.40625rem rgba(4,9,20,0.03),0 0.25rem 0.53125rem rgba(4,9,20,0.05),0 0.125rem 0.1875rem rgba(4,9,20,0.03);color:#fff;opacity:0.9}#toast-container>div:hover{opacity:1;cursor:pointer}#toast-container>.toast-info{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII=") !important;box-shadow:0 0.66875rem 2.3875rem rgba(22,170,255,0.03),0 1.1375rem 1.60625rem rgba(22,170,255,0.03),0 0.45rem 0.73125rem rgba(22,170,255,0.05),0 0.325rem 0.3875rem rgba(22,170,255,0.03)}#toast-container>.toast-error{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAHOSURBVEhLrZa/SgNBEMZzh0WKCClSCKaIYOED+AAKeQQLG8HWztLCImBrYadgIdY+gIKNYkBFSwu7CAoqCgkkoGBI/E28PdbLZmeDLgzZzcx83/zZ2SSXC1j9fr+I1Hq93g2yxH4iwM1vkoBWAdxCmpzTxfkN2RcyZNaHFIkSo10+8kgxkXIURV5HGxTmFuc75B2RfQkpxHG8aAgaAFa0tAHqYFfQ7Iwe2yhODk8+J4C7yAoRTWI3w/4klGRgR4lO7Rpn9+gvMyWp+uxFh8+H+ARlgN1nJuJuQAYvNkEnwGFck18Er4q3egEc/oO+mhLdKgRyhdNFiacC0rlOCbhNVz4H9FnAYgDBvU3QIioZlJFLJtsoHYRDfiZoUyIxqCtRpVlANq0EU4dApjrtgezPFad5S19Wgjkc0hNVnuF4HjVA6C7QrSIbylB+oZe3aHgBsqlNqKYH48jXyJKMuAbiyVJ8KzaB3eRc0pg9VwQ4niFryI68qiOi3AbjwdsfnAtk0bCjTLJKr6mrD9g8iq/S/B81hguOMlQTnVyG40wAcjnmgsCNESDrjme7wfftP4P7SP4N3CJZdvzoNyGq2c/HWOXJGsvVg+RA/k2MC/wN6I2YA2Pt8GkAAAAASUVORK5CYII=") !important;box-shadow:0 0.66875rem 2.3875rem rgba(217,37,80,0.03),0 1.1375rem 1.60625rem rgba(217,37,80,0.03),0 0.45rem 0.73125rem rgba(217,37,80,0.05),0 0.325rem 0.3875rem rgba(217,37,80,0.03)}#toast-container>.toast-success{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAADsSURBVEhLY2AYBfQMgf///3P8+/evAIgvA/FsIF+BavYDDWMBGroaSMMBiE8VC7AZDrIFaMFnii3AZTjUgsUUWUDA8OdAH6iQbQEhw4HyGsPEcKBXBIC4ARhex4G4BsjmweU1soIFaGg/WtoFZRIZdEvIMhxkCCjXIVsATV6gFGACs4Rsw0EGgIIH3QJYJgHSARQZDrWAB+jawzgs+Q2UO49D7jnRSRGoEFRILcdmEMWGI0cm0JJ2QpYA1RDvcmzJEWhABhD/pqrL0S0CWuABKgnRki9lLseS7g2AlqwHWQSKH4oKLrILpRGhEQCw2LiRUIa4lwAAAABJRU5ErkJggg==") !important;box-shadow:0 0.66875rem 2.3875rem rgba(58,196,125,0.03),0 1.1375rem 1.60625rem rgba(58,196,125,0.03),0 0.45rem 0.73125rem rgba(58,196,125,0.05),0 0.325rem 0.3875rem rgba(58,196,125,0.03)}#toast-container>.toast-warning{background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGYSURBVEhL5ZSvTsNQFMbXZGICMYGYmJhAQIJAICYQPAACiSDB8AiICQQJT4CqQEwgJvYASAQCiZiYmJhAIBATCARJy+9rTsldd8sKu1M0+dLb057v6/lbq/2rK0mS/TRNj9cWNAKPYIJII7gIxCcQ51cvqID+GIEX8ASG4B1bK5gIZFeQfoJdEXOfgX4QAQg7kH2A65yQ87lyxb27sggkAzAuFhbbg1K2kgCkB1bVwyIR9m2L7PRPIhDUIXgGtyKw575yz3lTNs6X4JXnjV+LKM/m3MydnTbtOKIjtz6VhCBq4vSm3ncdrD2lk0VgUXSVKjVDJXJzijW1RQdsU7F77He8u68koNZTz8Oz5yGa6J3H3lZ0xYgXBK2QymlWWA+RWnYhskLBv2vmE+hBMCtbA7KX5drWyRT/2JsqZ2IvfB9Y4bWDNMFbJRFmC9E74SoS0CqulwjkC0+5bpcV1CZ8NMej4pjy0U+doDQsGyo1hzVJttIjhQ7GnBtRFN1UarUlH8F3xict+HY07rEzoUGPlWcjRFRr4/gChZgc3ZL2d8oAAAAASUVORK5CYII=") !important;box-shadow:0 0.66875rem 2.3875rem rgba(247,185,36,0.03),0 1.1375rem 1.60625rem rgba(247,185,36,0.03),0 0.45rem 0.73125rem rgba(247,185,36,0.05),0 0.325rem 0.3875rem rgba(247,185,36,0.03);color:#212529}#toast-container.toast-top-center>div,#toast-container.toast-bottom-center>div{width:300px;margin-left:auto;margin-right:auto}#toast-container.toast-top-full-width>div,#toast-container.toast-bottom-full-width>div{width:96%;margin-left:auto;margin-right:auto}.toast{background-color:#343a40}.toast-success{background-color:#3ac47d}.toast-error{background-color:#d92550}.toast-info{background-color:#16aaff}.toast-warning{background-color:#f7b924}.toast-progress{position:absolute;left:0;bottom:0;height:4px;background-color:#000;opacity:0.4}@media all and (max-width: 240px){#toast-container>div{padding:8px 8px 8px 50px;width:11em}#toast-container .toast-close-button{right:-0.2em;top:-0.2em}}@media all and (min-width: 241px) and (max-width: 480px){#toast-container>div{padding:8px 8px 8px 50px;width:18em}#toast-container .toast-close-button{right:-0.2em;top:-0.2em}}@media all and (min-width: 481px) and (max-width: 768px){#toast-container>div{padding:15px 15px 15px 50px;width:25em}} 
.sidenav .navbar-brand, .sidenav .navbar-heading { font-weight: bold; line-height: 26px; color: #212529; }
.sidenav-header { height: initial; background-color: #f7f7f7; box-shadow: 1px 1px 4px #e1e1e1; }
.sidenav .navbar-brand{ padding: 10px 0px 10px 0px; white-space: initial; }
#sidenav-collapse-main .dropdown.show .dropdown-toggle::after {
	border-bottom: 0.3em solid;
	border-left: 0.3em solid transparent;
	border-top: 0;
	border-right: 0.3em solid transparent;
}
#sidenav-collapse-main .dropdown .dropdown-toggle::after {
    position: absolute;
    right: 22px;
}
#sidenav-collapse-main .dropdown .dropdown-toggle.active::after {
	right: 12px;
}
.navbar-vertical .navbar-collapse:before{ display: none; }
.badge { font-size: 90%; }
.controls .entry{ padding: 10px 0px; background: #f2f2f2; border: 2px dashed #5e72e4; }
.controls .entry input, .controls .entry select{ box-shadow: 1px 1px 5px 0px #ccc; }
.controls .entry input[readonly]{ cursor: not-allowed; background: transparent; }
.controls .entry input[readonly]{ box-shadow: none; border: none; }
.daterangepicker .calendar th, .daterangepicker .calendar td { min-width: inherit; font-size: 13px; }
.ranges li{ color: #212529; margin-bottom: 5px; }
.ranges li.active { background-color: #212529; border: 1px solid #212529; }
.ranges li:hover { background-color: #212529; border: 1px solid #212529; }
.daterangepicker td.in-range { background-color: #c3c3ff; }
.daterangepicker .end-date:not(.off){ background-color: #212529 !important; }
.table-striped tbody tr:nth-of-type(odd) { background-color: rgb(95 115 226 / 10%); }
.card-stats:hover .icon{ margin-right: 4px; }

/* Select2 */
.select2-selection__arrow {
	display: block;
}
.select2-container--default .select2-selection--single {
	border: 1px solid #dee2e6;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 30px;
}
.select2-container .select2-selection--single {
	height: 36px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
	color: #495057;
	line-height: 20px;
	padding: 0px;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
	background-color: #212529; 
}
.select2-container--default .select2-search--dropdown .select2-search__field {
	height: calc(1em + 1rem + 2px);
}
/* Select2 - Multiple */
.select2-selection.select2-selection--multiple {
	min-height: 120px !important;
}
.select2-container .select2-search--inline {
	display: inline;
}
.select2-selection--multiple {
	overflow: hidden !important;
	height: auto !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
	padding-left: 10px;
	padding-right: 10px;
}
.select2-selection__choice {
	padding: 5px 30px 5px 0px !important;
	background-color: #212529 !important;
	color: #fff !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
	margin-left: 0px;
	height: 100%;
	width: 30px;
	font-size: 25px;
	background: #f5365c;
	color: #fff;
	right: 0px;
	left: inherit;
}
.select2-container .select2-search--inline .select2-search__field {
	vertical-align: super !important;
}

/*ScrollToFixed*/
.fixed-submit-container.scroll-to-fixed-fixed{
	background-color: #dcffdc;
	padding-top: 15px;
    border-top: 2px solid #ccc;
}

@media (min-width: 1100px){
	.daterangepicker.dropdown-menu.show-calendar{ width: 720px; }
}
@media (max-width: 768px){
	#navbarSupportedContent .plan-details{ font-size: 13px; margin-right: 15px; }
	.controls .entry > div{ padding-top: 10px; }
}
